# Copyright (c) V-Nova International Limited 2023-2025. All rights reserved.
# This software is licensed under the BSD-3-Clause-Clear License by V-Nova Limited.
# No patent licenses are granted under this license. For enquiries about patent licenses,
# please contact legal@v-nova.com.
# The LCEVCdec software is a stand-alone project and is NOT A CONTRIBUTION to any other project.
# If the software is incorporated into another project, THE TERMS OF THE BSD-3-CLAUSE-CLEAR LICENSE
# AND THE ADDITIONAL LICENSING INFORMATION CONTAINED IN THIS FILE MUST BE MAINTAINED, AND THE
# SOFTWARE DOES NOT AND MUST NOT ADOPT THE LICENSE OF THE INCORPORATING PROJECT. However, the
# software may be incorporated into a project under a compatible license provided the requirements
# of the BSD-3-Clause-Clear license are respected, and V-Nova Limited remains
# licensor of the software ONLY UNDER the BSD-3-Clause-Clear license (not the compatible license).
# ANY ONWARD DISTRIBUTION, WHETHER STAND-ALONE OR AS PART OF ANY OTHER PROJECT, REMAINS SUBJECT TO
# THE EXCLUSION OF PATENT LICENSES PROVISION OF THE BSD-3-CLAUSE-CLEAR LICENSE.

find_package(PkgConfig)

# ##################################################################################################
# libav::libav
# ##################################################################################################

pkg_check_modules(libav libav)
find_package_handle_standard_args(libav DEFAULT_MSG libav_FOUND libav_VERSION)

# Propagate version
set(libav_VERSION libav_VERSION)

# Create interface library
add_library(libav::libav INTERFACE IMPORTED)
set_property(TARGET libav::libav PROPERTY INTERFACE_VERSION ${libav_VERSION})
set_property(TARGET libav::libav PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${libav_INCLUDE_DIRS}")
set_property(TARGET libav::libav PROPERTY INTERFACE_LINK_LIBRARIES "${libav_LIBRARIES}")
set_property(TARGET libav::libav PROPERTY INTERFACE_LINK_DIRECTORIES "${libav_LIBRARY_DIRS}")
set_property(TARGET libav::libav PROPERTY INTERFACE_COMPILE_OPTIONS "${libav_CFLAGS}"
                                          "${libav_CFLAGS_OTHER}")
